The Concierge should be easy to set up and troubleshoot using the below instructions. If you experience further issues or have questions, please don't hesitate to reach out.

Ensuring the Concierge is installed

During set-up of your account, you will be directed to the Chrome Web Store to install the Concierge. At any time, you can double check it is installed by:

  • Visiting chrome://extensions. Ensure that you see a card for the Concierge and that it is toggled on.

  • Visiting your personal settings in app.workstream.io. Please see the video below.

If you find the Concierge is not installed, you can do so via our webstore listing.

Troubleshoot login issues

After installing, try visiting a supported asset type. If you are already logged in, a purple Workstream logo will display. If the logo is grayed out, as in the screenshot below, then your account is not currently logged in.

To login, please click on the Workstream icon. This will open a pop-up where you can login through SSO (Google or Microsoft). Please note the following:

  1. The pop-up window may open behind your active window

  2. If pop-ups are blocked you will see two indicators that the pop-up couldn't be opened

Click "Login" or update your pop-up settings to "Always allow" to continue.

Site Access

While the extension only activates when you are on a supported asset, please ensure that it is turned on across all sites. This allows it to detect the url and turn on or off accordingly.

If you have any questions or concerns regarding the Concierge's data access, please visit or security documentation and whitepaper.

Supported Chrome Versions

If you are still experiencing issues with using the Concierge, you should also check to be sure you are using the most recent version of Google Chrome. You can find this by clicking the three dots at the top right of your URL bar and selecting Help > About Google Chrome, as shown in the video below.

Important: The Concierge is compatible only with Chrome version 101 and later. Due to technical changes between these versions, browsers running the older version will not run the Concierge properly.

Still need support or have questions about the Concierge? You can always reach out via the support widget on this page, or contact [email protected].

Did this answer your question?